Skip to navigation

List

View as Markdown

Returns a list of all the order items for an individual user.

Listing items for more than one customer requires Application API Scope with the Bulk Operations permission.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Query parameters

orderstringOptional
Order ID
offerstringOptional
Offer ID
subscriptionstringOptional
Subscription ID
one_timebooleanOptional
Indicates if item was the result of Impulse Upsell functionality
statusintegerOptional
Order status code
placedateOptional

Order’s place date exact match (yyyy-mm-dd)

place_startdateOptional

Order’s place date later or equal than parameter (yyyy-mm-dd)

place_enddateOptional

Order’s place date sooner or equal than parameter (yyyy-mm-dd)

productstringOptional

Product’s external_product_id - filter items by the proper product currently associated with them.

omit_price_calculationbooleanOptionalDefaults to false

If True, Ordergroove will omit the price, total_price, and extra_cost fields from the Response Body. This can significantly improve performance in some scenarios.

include_incentivesbooleanOptionalDefaults to false

If true, each item includes the incentives applied to it.

order_updated_startdateOptional

items whose order.updated field is greater than or equal to the given datetime (YYYY-MM-DDTHH:MM:SS)

order_updated_enddateOptional

items whose order.updated field is less than or equal to the given datetime (YYYY-MM-DDTHH:MM:SS)

Response

200
countintegerOptional

Total number of matching items. Not returned with cursor pagination.

nextstring or nullOptional

URL of the next page of results, or null on the last page.

previousstring or nullOptional

URL of the previous page of results, or null on the first page.

resultslist of objectsOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error